org.apache.commons.collections4.map

## Class UnmodifiableEntrySet<K,V>

- java.lang.Object
- - org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
  - - org.apache.commons.collections4.set.AbstractSetDecorator<Map.Entry<K,V>>
    - - org.apache.commons.collections4.map.UnmodifiableEntrySet<K,V>

- Type Parameters:
    `K` - the type of the keys in the map
    `V` - the type of the values in the map
  All Implemented Interfaces:
    Serializable, Iterable<Map.Entry<K,V>>, Collection<Map.Entry<K,V>>, Set<Map.Entry<K,V>>, Unmodifiable

      public final class UnmodifiableEntrySet<K,V>
      extends AbstractSetDecorator<Map.Entry<K,V>>
      implements Unmodifiable

  Decorates a map entry `Set` to ensure it can't be altered.

  Attempts to modify it will result in an UnsupportedOperationException.

  Since:
    3.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Map.Entry<K,V> object)`
    `boolean` | `addAll(Collection<? extends Map.Entry<K,V>> coll)`
    `void` | `clear()`
    `Iterator<Map.Entry<K,V>>` | `iterator()`
    `boolean` | `remove(Object object)`
    `boolean` | `removeAll(Collection<?> coll)`
    `boolean` | `removeIf(Predicate<? super Map.Entry<K,V>> filter)`
    `boolean` | `retainAll(Collection<?> coll)`
    `Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] array)`
    `static <K,V> Set<Map.Entry<K,V>>` | `unmodifiableEntrySet(Set<Map.Entry<K,V>> set)` Factory method to create an unmodifiable set of Map Entry objects.

    - ### Methods inherited from class org.apache.commons.collections4.set.AbstractSetDecorator

      `decorated, equals, hashCode`

    - ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

      `contains, containsAll, isEmpty, setCollection, size, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `contains, containsAll, isEmpty, size, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### unmodifiableEntrySet

          public static <K,V> Set<Map.Entry<K,V>> unmodifiableEntrySet(Set<Map.Entry<K,V>> set)

      Factory method to create an unmodifiable set of Map Entry objects.
      Type Parameters:
        `K` - the key type
        `V` - the value type
      Parameters:
        `set` - the set to decorate, must not be null
      Returns:
        a new unmodifiable entry set
      Throws:
        `NullPointerException` - if set is null
      Since:
        4.0

    - #### add

          public boolean add(Map.Entry<K,V> object)

      Specified by:
        `add` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `add` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `add` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### addAll

          public boolean addAll(Collection<? extends Map.Entry<K,V>> coll)

      Specified by:
        `addAll` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `addAll` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `addAll` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `clear` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `clear` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### remove

          public boolean remove(Object object)

      Specified by:
        `remove` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `remove` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `remove` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### removeIf

          public boolean removeIf(Predicate<? super Map.Entry<K,V>> filter)

      Specified by:
        `removeIf` in interface `Collection<Map.Entry<K,V>>`
      Overrides:
        `removeIf` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`
      Since:
        4.4

    - #### removeAll

          public boolean removeAll(Collection<?> coll)

      Specified by:
        `removeAll` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `removeAll` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `removeAll` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### retainAll

          public boolean retainAll(Collection<?> coll)

      Specified by:
        `retainAll` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `retainAll` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `retainAll` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### iterator

          public Iterator<Map.Entry<K,V>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<K,V>>`
      Specified by:
        `iterator` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `iterator` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `iterator` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `toArray` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `toArray` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### toArray

          public <T> T[] toArray(T[] array)

      Specified by:
        `toArray` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `toArray` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `toArray` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.